GDAL-VECTOR-GEOM(1)

NAME
gdal-vector-geom - Geometry operations on a vector dataset

Added in version 3.11.

SYNOPSIS

    Usage: gdal vector geom <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - buffer:              Compute a buffer around geometries of a vector dataset.
      - explode-collections: Explode geometries of type collection of a vector dataset.
      - make-valid:          Fix validity of geometries of a vector dataset.
      - segmentize:          Segmentize geometries of a vector dataset.
      - set-type:            Modify the geometry type of a vector dataset.
      - simplify:            Simplify geometries of a vector dataset.
      - swap-xy:             Swap X and Y coordinates of geometries of a vector dataset.
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]

AVAILABLE SUB-COMMANDS

•   gdal vector geom set-type

•   gdal vector geom explode-collections

•   gdal vector geom make-valid

•   gdal vector geom segmentize

•   gdal vector geom simplify

•   gdal vector geom buffer

•   gdal vector geom swap-xy

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025